## org.apache.lucene.store
Class FSDirectory.FSIndexInput

    java.lang.Object
      org.apache.lucene.store.IndexInput
          org.apache.lucene.store.BufferedIndexInput
              org.apache.lucene.store.FSDirectory.FSIndexInput

All Implemented Interfaces:
  Cloneable

Enclosing class:
  FSDirectory

    protected static class FSDirectory.FSIndexInput

extends BufferedIndexInput

Field Summary

Fields inherited from class org.apache.lucene.store.BufferedIndexInput
`BUFFER_SIZE`

Constructor Summary
`FSDirectory.FSIndexInput(File path)`
`FSDirectory.FSIndexInput(File path, int bufferSize)`

Method Summary
`Object` `clone()` Returns a clone of this stream.
`void` `close()` Closes the stream to futher operations.
`long` `length()` The number of bytes in the file.
`protected void` `readInternal(byte[] b, int offset, int len)` IndexInput methods
`protected void` `seekInternal(long position)` Expert: implements seek.

Methods inherited from class org.apache.lucene.store.BufferedIndexInput
`getBufferSize, getFilePointer, readByte, readBytes, readBytes, seek, setBufferSize`

Methods inherited from class org.apache.lucene.store.IndexInput
`readChars, readInt, readLong, readString, readVInt, readVLong, skipChars`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSDirectory.FSIndexInput

    public FSDirectory.FSIndexInput(File path)
                             throws IOException

Throws:
  `IOException`

### FSDirectory.FSIndexInput

    public FSDirectory.FSIndexInput(File path,
                                    int bufferSize)
                             throws IOException

Throws:
  `IOException`

Method Detail

### readInternal

    protected void readInternal(byte[] b,
                                int offset,
                                int len)
                         throws IOException

  IndexInput methods

  Specified by:
    `readInternal` in class `BufferedIndexInput`
  Parameters:
    `b` - the array to read bytes into
    `offset` - the offset in the array to start storing bytes
    `len` - the number of bytes to read
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Description copied from class: `IndexInput`
  Closes the stream to futher operations.

  Specified by:
    `close` in class `IndexInput`
  Throws:
    `IOException`

### seekInternal

    protected void seekInternal(long position)

  Description copied from class: `BufferedIndexInput`
  Expert: implements seek. Sets current position in this file, where the next `BufferedIndexInput.readInternal(byte[],int,int)` will occur.

  Specified by:
    `seekInternal` in class `BufferedIndexInput`
  See Also:
    `BufferedIndexInput.readInternal(byte[],int,int)`

### length

    public long length()

  Description copied from class: `IndexInput`
  The number of bytes in the file.

  Specified by:
    `length` in class `IndexInput`

### clone

    public Object clone()

  Description copied from class: `IndexInput`
  Returns a clone of this stream.

  Clones of a stream access the same data, and are positioned at the same point as the stream they were cloned from.

  Expert: Subclasses must ensure that clones may be positioned at different points in the input from each other and from the stream they were cloned from.

  Overrides:
    `clone` in class `BufferedIndexInput`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.